Name up to 50 customers
curl --request PUT \
--url https://api.paywithlocus.com/api/credits/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customers": [
{
"customerId": "<string>",
"name": "<string>",
"source": "",
"url": "<string>",
"adminUrl": "<string>"
}
]
}
'import requests
url = "https://api.paywithlocus.com/api/credits/customers"
payload = { "customers": [
{
"customerId": "<string>",
"name": "<string>",
"source": "",
"url": "<string>",
"adminUrl": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customers: [
{
customerId: '<string>',
name: '<string>',
source: '',
url: '<string>',
adminUrl: '<string>'
}
]
})
};
fetch('https://api.paywithlocus.com/api/credits/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.paywithlocus.com/api/credits/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'customers' => [
[
'customerId' => '<string>',
'name' => '<string>',
'source' => '',
'url' => '<string>',
'adminUrl' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.paywithlocus.com/api/credits/customers"
payload := strings.NewReader("{\n \"customers\": [\n {\n \"customerId\": \"<string>\",\n \"name\": \"<string>\",\n \"source\": \"\",\n \"url\": \"<string>\",\n \"adminUrl\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.paywithlocus.com/api/credits/customers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customers\": [\n {\n \"customerId\": \"<string>\",\n \"name\": \"<string>\",\n \"source\": \"\",\n \"url\": \"<string>\",\n \"adminUrl\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.paywithlocus.com/api/credits/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customers\": [\n {\n \"customerId\": \"<string>\",\n \"name\": \"<string>\",\n \"source\": \"\",\n \"url\": \"<string>\",\n \"adminUrl\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"upserted": 123
}{
"success": false,
"error": "Forbidden",
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"requiredScopes": [
"tenant:read"
],
"presentScopes": [
"tenant:read"
]
}Customers
Name up to 50 customers
Upserts display data per (source, customerId). Charges keep only the ids, so a name can be corrected or removed later; the security audit records how many entries a write carried, never the entries themselves. The production edge rejects request bodies over 8 KiB, so send fewer entries when names or links are long. Enterprise workspaces only.
PUT
/
credits
/
customers
Name up to 50 customers
curl --request PUT \
--url https://api.paywithlocus.com/api/credits/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customers": [
{
"customerId": "<string>",
"name": "<string>",
"source": "",
"url": "<string>",
"adminUrl": "<string>"
}
]
}
'import requests
url = "https://api.paywithlocus.com/api/credits/customers"
payload = { "customers": [
{
"customerId": "<string>",
"name": "<string>",
"source": "",
"url": "<string>",
"adminUrl": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customers: [
{
customerId: '<string>',
name: '<string>',
source: '',
url: '<string>',
adminUrl: '<string>'
}
]
})
};
fetch('https://api.paywithlocus.com/api/credits/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.paywithlocus.com/api/credits/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'customers' => [
[
'customerId' => '<string>',
'name' => '<string>',
'source' => '',
'url' => '<string>',
'adminUrl' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.paywithlocus.com/api/credits/customers"
payload := strings.NewReader("{\n \"customers\": [\n {\n \"customerId\": \"<string>\",\n \"name\": \"<string>\",\n \"source\": \"\",\n \"url\": \"<string>\",\n \"adminUrl\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.paywithlocus.com/api/credits/customers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customers\": [\n {\n \"customerId\": \"<string>\",\n \"name\": \"<string>\",\n \"source\": \"\",\n \"url\": \"<string>\",\n \"adminUrl\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.paywithlocus.com/api/credits/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customers\": [\n {\n \"customerId\": \"<string>\",\n \"name\": \"<string>\",\n \"source\": \"\",\n \"url\": \"<string>\",\n \"adminUrl\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"upserted": 123
}{
"success": false,
"error": "Forbidden",
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"requiredScopes": [
"tenant:read"
],
"presentScopes": [
"tenant:read"
]
}Authorizations
dashboardSessionsecretKey
Locus Pro dashboard session (Cognito). High-risk workspace administration requires an owner or admin role and fresh MFA/passkey step-up.
Body
application/json
Required array length:
1 - 50 elementsShow child attributes
Show child attributes